#pragma once
#include "../../stdafx.h"
#include "../glLibLocals.h"
#include "../glLibError.h"

#include "glLibTexture.h"
#include "glLibTexture1D.h"
#include "glLibTexture2D.h"
#include "glLibTexture3D.h"
#include "glLibTextureCube.h"

void glLibActiveTexture(int texture_number);

void glLibSelectTexture(void);
void glLibSelectTexture(glLibTexture1D* texture);
void glLibSelectTexture(glLibTexture2D* texture);
void glLibSelectTexture(glLibTexture3D* texture);
void glLibSelectTexture(glLibTextureCube* texture);